Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class InfomlTypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.InfomlTypeImpl

All Implemented Interfaces:
  InfomlType

    public class InfomlTypeImpl

extends java.lang.Object
implements InfomlType

Nested Class Summary
`class` | `InfomlTypeImpl.Unmarshaller`

Field Summary
`protected java.lang.String` | `_BasedOn`
`protected java.lang.String` | `_CardId`
`protected PointersType` | `_CommentOn`
`protected ContentAgentContainerLocationType` | `_Data`
`protected com.sun.xml.bind.util.ListImpl` | `_DvprNotes`
`protected com.sun.xml.bind.util.ListImpl` | `_DvprPointers`
`protected com.sun.xml.bind.util.ListImpl` | `_DvprXml`
`protected java.lang.String` | `_Encoding`
`protected PropertiesType` | `_Properties`
`protected SelectorsType` | `_Selectors`
`protected java.lang.String` | `_TreatPointersAs`
`protected com.sun.xml.bind.util.ListImpl` | `_UserNotes`
`protected com.sun.xml.bind.util.ListImpl` | `_UserPointers`
`protected java.math.BigDecimal` | `_Version`
`static java.lang.Class` | `version`

Constructor Summary
`InfomlTypeImpl()`

Method Summary
`java.lang.String` | `____jaxb____getId()`
`protected com.sun.xml.bind.util.ListImpl` | `_getDvprNotes()`
`protected com.sun.xml.bind.util.ListImpl` | `_getDvprPointers()`
`protected com.sun.xml.bind.util.ListImpl` | `_getDvprXml()`
`protected com.sun.xml.bind.util.ListImpl` | `_getUserNotes()`
`protected com.sun.xml.bind.util.ListImpl` | `_getUserPointers()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.lang.String` | `getBasedOn()` Gets the value of the basedOn property.
`java.lang.String` | `getCardId()` Gets the value of the cardId property.
`PointersType` | `getCommentOn()` Gets the value of the commentOn property.
`ContentAgentContainerLocationType` | `getData()` Gets the value of the data property.
`java.util.List` | `getDvprNotes()` Gets the value of the DvprNotes property.
`java.util.List` | `getDvprPointers()` Gets the value of the DvprPointers property.
`java.util.List` | `getDvprXml()` Gets the value of the DvprXml property.
`java.lang.String` | `getEncoding()` Gets the value of the encoding property.
`java.lang.Class` | `getPrimaryInterface()`
`PropertiesType` | `getProperties()` Gets the value of the properties property.
`SelectorsType` | `getSelectors()` Gets the value of the selectors property.
`java.lang.String` | `getTreatPointersAs()` Gets the value of the treatPointersAs property.
`java.util.List` | `getUserNotes()` Gets the value of the UserNotes property.
`java.util.List` | `getUserPointers()` Gets the value of the UserPointers property.
`java.math.BigDecimal` | `getVersion()` Gets the value of the version property.
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setBasedOn(java.lang.String value)` Sets the value of the basedOn property.
`void` | `setCardId(java.lang.String value)` Sets the value of the cardId property.
`void` | `setCommentOn(PointersType value)` Sets the value of the commentOn property.
`void` | `setData(ContentAgentContainerLocationType value)` Sets the value of the data property.
`void` | `setEncoding(java.lang.String value)` Sets the value of the encoding property.
`void` | `setProperties(PropertiesType value)` Sets the value of the properties property.
`void` | `setSelectors(SelectorsType value)` Sets the value of the selectors property.
`void` | `setTreatPointersAs(java.lang.String value)` Sets the value of the treatPointersAs property.
`void` | `setVersion(java.math.BigDecimal value)` Sets the value of the version property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _CardId

    protected java.lang.String _CardId

### _DvprXml

    protected com.sun.xml.bind.util.ListImpl _DvprXml

### _Encoding

    protected java.lang.String _Encoding

### _Selectors

    protected SelectorsType _Selectors

### _UserPointers

    protected com.sun.xml.bind.util.ListImpl _UserPointers

### _Properties

    protected PropertiesType _Properties

### _Data

    protected ContentAgentContainerLocationType _Data

### _UserNotes

    protected com.sun.xml.bind.util.ListImpl _UserNotes

### _TreatPointersAs

    protected java.lang.String _TreatPointersAs

### _DvprPointers

    protected com.sun.xml.bind.util.ListImpl _DvprPointers

### _CommentOn

    protected PointersType _CommentOn

### _BasedOn

    protected java.lang.String _BasedOn

### _DvprNotes

    protected com.sun.xml.bind.util.ListImpl _DvprNotes

### _Version

    protected java.math.BigDecimal _Version

### version

    public static final java.lang.Class version

Constructor Detail

### InfomlTypeImpl

    public InfomlTypeImpl()

Method Detail

### getCardId

    public java.lang.String getCardId()

  Description copied from interface: `InfomlType`
  Gets the value of the cardId property.

  Specified by:
    `getCardId` in interface `InfomlType`
  Returns:
    possible object is `String`

### setCardId

    public void setCardId(java.lang.String value)

  Description copied from interface: `InfomlType`
  Sets the value of the cardId property.

  Specified by:
    `setCardId` in interface `InfomlType`
  Parameters:
    `value` - allowed object is `String`

### _getDvprXml

    protected com.sun.xml.bind.util.ListImpl _getDvprXml()

### getDvprXml

    public java.util.List getDvprXml()

  Description copied from interface: `InfomlType`
  Gets the value of the DvprXml property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprXml property.

  For example, to add a new item, do as follows:

          getDvprXml().add(newItem);

  Objects of the following type(s) are allowed in the list `AnyWithOwnerType`

  Specified by:
    `getDvprXml` in interface `InfomlType`

### getEncoding

    public java.lang.String getEncoding()

  Description copied from interface: `InfomlType`
  Gets the value of the encoding property.

  Specified by:
    `getEncoding` in interface `InfomlType`
  Returns:
    possible object is `String`

### setEncoding

    public void setEncoding(java.lang.String value)

  Description copied from interface: `InfomlType`
  Sets the value of the encoding property.

  Specified by:
    `setEncoding` in interface `InfomlType`
  Parameters:
    `value` - allowed object is `String`

### getSelectors

    public SelectorsType getSelectors()

  Description copied from interface: `InfomlType`
  Gets the value of the selectors property.

  Specified by:
    `getSelectors` in interface `InfomlType`
  Returns:
    possible object is `SelectorsType`

### setSelectors

    public void setSelectors(SelectorsType value)

  Description copied from interface: `InfomlType`
  Sets the value of the selectors property.

  Specified by:
    `setSelectors` in interface `InfomlType`
  Parameters:
    `value` - allowed object is `SelectorsType`

### _getUserPointers

    protected com.sun.xml.bind.util.ListImpl _getUserPointers()

### getUserPointers

    public java.util.List getUserPointers()

  Description copied from interface: `InfomlType`
  Gets the value of the UserPointers property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserPointers property.

  For example, to add a new item, do as follows:

          getUserPointers().add(newItem);

  Objects of the following type(s) are allowed in the list `ExtendedPointersWithOwnerType`

  Specified by:
    `getUserPointers` in interface `InfomlType`

### getProperties

    public PropertiesType getProperties()

  Description copied from interface: `InfomlType`
  Gets the value of the properties property.

  Specified by:
    `getProperties` in interface `InfomlType`
  Returns:
    possible object is `PropertiesType`

### setProperties

    public void setProperties(PropertiesType value)

  Description copied from interface: `InfomlType`
  Sets the value of the properties property.

  Specified by:
    `setProperties` in interface `InfomlType`
  Parameters:
    `value` - allowed object is `PropertiesType`

### getData

    public ContentAgentContainerLocationType getData()

  Description copied from interface: `InfomlType`
  Gets the value of the data property.

  Specified by:
    `getData` in interface `InfomlType`
  Returns:
    possible object is `ContentAgentContainerLocationType`

### setData

    public void setData(ContentAgentContainerLocationType value)

  Description copied from interface: `InfomlType`
  Sets the value of the data property.

  Specified by:
    `setData` in interface `InfomlType`
  Parameters:
    `value` - allowed object is `ContentAgentContainerLocationType`

### _getUserNotes

    protected com.sun.xml.bind.util.ListImpl _getUserNotes()

### getUserNotes

    public java.util.List getUserNotes()

  Description copied from interface: `InfomlType`
  Gets the value of the UserNotes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the UserNotes property.

  For example, to add a new item, do as follows:

          getUserNotes().add(newItem);

  Objects of the following type(s) are allowed in the list `RichTextWithOwnerType`

  Specified by:
    `getUserNotes` in interface `InfomlType`

### getTreatPointersAs

    public java.lang.String getTreatPointersAs()

  Description copied from interface: `InfomlType`
  Gets the value of the treatPointersAs property.

  Specified by:
    `getTreatPointersAs` in interface `InfomlType`
  Returns:
    possible object is `String`

### setTreatPointersAs

    public void setTreatPointersAs(java.lang.String value)

  Description copied from interface: `InfomlType`
  Sets the value of the treatPointersAs property.

  Specified by:
    `setTreatPointersAs` in interface `InfomlType`
  Parameters:
    `value` - allowed object is `String`

### _getDvprPointers

    protected com.sun.xml.bind.util.ListImpl _getDvprPointers()

### getDvprPointers

    public java.util.List getDvprPointers()

  Description copied from interface: `InfomlType`
  Gets the value of the DvprPointers property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprPointers property.

  For example, to add a new item, do as follows:

          getDvprPointers().add(newItem);

  Objects of the following type(s) are allowed in the list `ExtendedPointersWithOwnerType`

  Specified by:
    `getDvprPointers` in interface `InfomlType`

### getCommentOn

    public PointersType getCommentOn()

  Description copied from interface: `InfomlType`
  Gets the value of the commentOn property.

  Specified by:
    `getCommentOn` in interface `InfomlType`
  Returns:
    possible object is `PointersType`

### setCommentOn

    public void setCommentOn(PointersType value)

  Description copied from interface: `InfomlType`
  Sets the value of the commentOn property.

  Specified by:
    `setCommentOn` in interface `InfomlType`
  Parameters:
    `value` - allowed object is `PointersType`

### getBasedOn

    public java.lang.String getBasedOn()

  Description copied from interface: `InfomlType`
  Gets the value of the basedOn property.

  Specified by:
    `getBasedOn` in interface `InfomlType`
  Returns:
    possible object is `String`

### setBasedOn

    public void setBasedOn(java.lang.String value)

  Description copied from interface: `InfomlType`
  Sets the value of the basedOn property.

  Specified by:
    `setBasedOn` in interface `InfomlType`
  Parameters:
    `value` - allowed object is `String`

### _getDvprNotes

    protected com.sun.xml.bind.util.ListImpl _getDvprNotes()

### getDvprNotes

    public java.util.List getDvprNotes()

  Description copied from interface: `InfomlType`
  Gets the value of the DvprNotes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the DvprNotes property.

  For example, to add a new item, do as follows:

          getDvprNotes().add(newItem);

  Objects of the following type(s) are allowed in the list `RichTextWithOwnerType`

  Specified by:
    `getDvprNotes` in interface `InfomlType`

### getVersion

    public java.math.BigDecimal getVersion()

  Description copied from interface: `InfomlType`
  Gets the value of the version property.

  Specified by:
    `getVersion` in interface `InfomlType`
  Returns:
    possible object is `BigDecimal`

### setVersion

    public void setVersion(java.math.BigDecimal value)

  Description copied from interface: `InfomlType`
  Sets the value of the version property.

  Specified by:
    `setVersion` in interface `InfomlType`
  Parameters:
    `value` - allowed object is `BigDecimal`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### ____jaxb____getId

    public java.lang.String ____jaxb____getId()

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD